-- --------------------------------------------------------
--
-- Table `desk-weather`
--

CREATE TABLE IF NOT EXISTS `desk-weather` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `member_id` int(11) unsigned NOT NULL,
  `identCity` varchar(30) NOT NULL,
  `libelCity` varchar(255) NOT NULL,
  `units` enum('metric','english') NOT NULL default 'metric',
  KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- ----------------------------------------------------------------------------
-- Add Desk-Weater to qo_modules
-- ----------------------------------------------------------------------------
INSERT INTO `qo_modules` (
        `directory`,
        `author`,
        `version`,
        `url`,
        `description`,
        `class_name`,
        `module_type`,
        `module_id`,
        `menu_path`,
        `launcher_icon_cls`,
        `launcher_shortcut_icon_cls`,
        `launcher_text`,
        `launcher_tooltip`,
        `active`,
        `preload`
) VALUES (
        'Desk-Weather/',
        'Yannick Torrès',
        '0.4',
        'http://qo-modules.tuxfamily.org',
        'Display City weather over the world !',
        'QoDesk.DeskWeather',
        'weather',
        'desk-weather',
        'Internet',
        'DeskWeather-icon',
        'DeskWeather-shortcut-icon',
        'Desk-Weather',
        '<b>Desk-Weather</b><br />Display City weather over the world !',
        1,
        0
);

-- ----------------------------------------------------------------------------
-- Add files to qo_modules_files & qo_modules_stylesheets
-- ----------------------------------------------------------------------------
insert into `qo_modules_files` (`qo_modules_id`, `directory`, `file`)
select m.id, 'Desk-Weather/', 'Desk-Weather.js'
from (select id from qo_modules where module_id like 'desk-weather') m;

insert into `qo_modules_stylesheets` (`qo_modules_id`, `directory`, `file`)
select m.id, 'Desk-Weather/', 'Desk-Weather.css'
from (select id from qo_modules where module_id like 'desk-weather') m;

-- ----------------------------------------------------------------------------
-- Add dependencies to qo_modules_dependencies
-- ----------------------------------------------------------------------------
insert into `qo_modules_dependencies` (`qo_modules_id`, `directory`, `file`)
select m.id, 'Desk-Weather/locale/', 'Desk-Weather-en.js'
from (select id from qo_modules where module_id like 'desk-weather') m;

-- ----------------------------------------------------------------------------
-- Add modules to all group
-- ----------------------------------------------------------------------------
insert into `qo_groups_has_modules` (`qo_groups_id`, `qo_modules_id`, `active`)
select g.id, m.id, 1
from (select id from qo_groups) g
   , (select id from qo_modules where module_id like 'desk-weather') m;